API DOCS

DOCS & TUTORIALS » API DOCS » xajax_js » xajax_core_uncompressed.js » xajax.command.handler

Class: xajax.command.handler



The object that manages command handlers.

variables

functions

xajax.command.handler.register

xajax.command.handler.register = function(shortName, func) { }

Registers a new command handler.

xajax.command.handler.unregister

xajax.command.handler.unregister = function(shortName) { }

Unregisters and returns a command handler.


xajax.command.handler.isRegistered

xajax.command.handler.isRegistered = function(command) { }

xajax.command.handler.call

xajax.command.handler.call = function(command) { }

Calls the registered command handler for the specified command
(you should always check isRegistered before calling this function)


xajax.initializeRequest

xajax.initializeRequest = function(oRequest) { }

Initialize a request object, populating default settings, where
call specific settings are not already provided.


xajax.processParameters

xajax.processParameters = function(oRequest) { }

Processes request specific parameters and generates the temporary
variables needed by xajax to initiate and process the request.


xajax.prepareRequest

xajax.prepareRequest = function(oRequest) { }

Prepares the XMLHttpRequest object for this xajax request.


request


xajax.call

xajax.call = function() { }

Initiates a call to the server.


xajax.submitRequest

xajax.submitRequest = function(oRequest) { }

Create a request object and submit the request using the specified
request type; all request parameters should be finalized by this
point. Upon failure of a POST, this function will fall back to a
GET request.


xajax.abortRequest

xajax.abortRequest = function(oRequest) { }

Abort the request.


xajax.responseReceived

xajax.responseReceived = function(oRequest) { }

Process the response.


xajax.getResponseProcessor

xajax.getResponseProcessor = function(oRequest) { }

This function attempts to determine, based on the content type of the
reponse, what processor should be used for handling the response data.

The default xajax response will be text/xml which will invoke the
xajax xml response processor. Other response processors may be added
in the future. The user can specify their own response processor on
a call by call basis.


xajax.executeCommand

xajax.executeCommand = function(command) { }

Perform a lookup on the command specified by the response command
object passed in the first parameter. If the command exists, the
function checks to see if the command references a DOM object by
ID; if so, the object is located within the DOM and added to the
command data. The command handler is then called.

If the command handler returns true, it is assumed that the command
completed successfully. If the command handler returns false, then the
command is considered pending; xajax enters a wait state. It is up
to the command handler to set an interval, timeout or event handler
which will restart the xajax response processing.


xajax.completeResponse

xajax.completeResponse = function(oRequest) { }

Called by the response command queue processor when all commands have
been processed.


xajax.$


Shortcut to .

xajax.getFormValues


Shortcut to .

xajax.request

xajax.request = function() { }

Initiates a request to the server.


 



XAJAX on SourceForge.net
Support this project Valid XHTML 1.0 Transitional